## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.utils
Interface IConstraintCreationConstants

All Known Implementing Classes:
  ConstraintCreationUtils

    public interface IConstraintCreationConstants

Some constants used int the constraint creation wizard

Field Summary
`static java.lang.String` `CHECK`
`static java.lang.String` `COLS_CHK_POSTFIX`
`static java.lang.String` `COMMA`
`static java.lang.String` `DATA_TYPE_LONG_VARCHAR`
`static java.lang.String` `EMPTY_STRING`
`static java.lang.String` `FALSE`
`static java.lang.String` `IS_PART_OF_PRIMARYKEY`
`static java.lang.String` `LEFT_PARENTHESIS`
`static java.lang.String` `PRIMARYKEY_COL_INDEX`
`static java.lang.String` `RIGHT_PARENTHESIS`
`static java.lang.String` `SAVE_FILE_POSTFIX`
`static java.lang.String` `SINGLE_QUOTE`
`static java.lang.String` `SPACE`
`static java.lang.String` `TABLE_INSTANCE`
`static java.lang.String` `THREE_TABS`
`static java.lang.String` `TRUE`
`static java.lang.String` `ZERO`

Field Detail

### THREE_TABS

    static final java.lang.String THREE_TABS

See Also:
  Constant Field Values

### EMPTY_STRING

    static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values

### SPACE

    static final java.lang.String SPACE

See Also:
  Constant Field Values

### COMMA

    static final java.lang.String COMMA

See Also:
  Constant Field Values

### PRIMARYKEY_COL_INDEX

    static final java.lang.String PRIMARYKEY_COL_INDEX

See Also:
  Constant Field Values

### IS_PART_OF_PRIMARYKEY

    static final java.lang.String IS_PART_OF_PRIMARYKEY

See Also:
  Constant Field Values

### ZERO

    static final java.lang.String ZERO

See Also:
  Constant Field Values

### TRUE

    static final java.lang.String TRUE

See Also:
  Constant Field Values

### FALSE

    static final java.lang.String FALSE

See Also:
  Constant Field Values

### LEFT_PARENTHESIS

    static final java.lang.String LEFT_PARENTHESIS

See Also:
  Constant Field Values

### RIGHT_PARENTHESIS

    static final java.lang.String RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### SAVE_FILE_POSTFIX

    static final java.lang.String SAVE_FILE_POSTFIX

See Also:
  Constant Field Values

### COLS_CHK_POSTFIX

    static final java.lang.String COLS_CHK_POSTFIX

See Also:
  Constant Field Values

### DATA_TYPE_LONG_VARCHAR

    static final java.lang.String DATA_TYPE_LONG_VARCHAR

See Also:
  Constant Field Values

### CHECK

    static final java.lang.String CHECK

See Also:
  Constant Field Values

### TABLE_INSTANCE

    static final java.lang.String TABLE_INSTANCE

See Also:
  Constant Field Values

### SINGLE_QUOTE

    static final java.lang.String SINGLE_QUOTE

See Also:
  Constant Field Values